package de.intevation.gnv.artifactdatabase.objects;

/**
 * This is the default implementation of <code>ExportMode</code> which stores
 * information about a specific output target (e.g. pdf, svg, image).
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class DefaultExportMode
implements   ExportMode
{
    /**
     * The name of this parameter.
     */
    protected String name;

    /**
     * The description of this mode.
     */
    protected String description;

    /**
     * The mimetype used for this mode.
     */
    protected String mimeType;

    /**
     * Creates a new <code>ExportMode</code>.
     *
     * @param name The name of the mode.
     * @param description A description of this mode.
     * @param mimeType The mimetype used for this mode.
     */
    public DefaultExportMode(String name, String description, String mimeType){
        this.name        = name;
        this.description = description;
        this.mimeType    = mimeType;
    }


    public String getName() {
        return name;
    }


    public String getDescription() {
        return description;
    }

    public String getMimeType() {
        return mimeType;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
